Bug 333386 - Tags manager: '' shown in dialog box when removing a tag
Summary: Tags manager: '' shown in dialog box when removing a tag
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Manager (show other bugs)
Version: 4.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-13 19:16 UTC by Michael G. Hansen
Modified: 2017-07-29 07:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
Screenshot of dialog box. (209.34 KB, image/png)
2014-04-13 19:17 UTC, Michael G. Hansen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael G. Hansen 2014-04-13 19:16:27 UTC
Reproducible: Always

Steps to Reproduce:
1. Open tags manager.
2. Select a tag not assigned to an image.
3. Click the red minus button to delete the tag.
Actual Results:  
A dialog box with the text "Delete the '' tag(s)?" is shown.

Expected Results:  
The '' should contain the tag name.

- The dialog box seems to have no title.
- The "Delete" button is the default button. IMHO the "Cancel" button should be the default one, in case the user accidentally hits space.
Comment 1 Michael G. Hansen 2014-04-13 19:17:12 UTC
Created attachment 86078 [details]
Screenshot of dialog box.
Comment 2 Michael G. Hansen 2014-04-30 20:17:38 UTC
Git commit c0ec395f7be4a46610837015459255266ee61d8e by Michael Georg Hansen.
Committed on 30/04/2014 at 20:16.
Pushed by mghansen into branch 'master'.

Improve dialog boxes for confirming tag deletions.
FIXED-IN: 4.0

M  +2    -1    NEWS
M  +53   -23   digikam/tags/tagsmanager/tagsmanager.cpp

http://commits.kde.org/digikam/c0ec395f7be4a46610837015459255266ee61d8e